Bug 1543402 - A-MQ Components not visible in Java Console when using IE11 browser
Summary: A-MQ Components not visible in Java Console when using IE11 browser
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 3.5.1
Hardware: All
OS: All
unspecified
medium
Target Milestone: ---
: 3.5.z
Assignee: Alexandre Kieling
QA Contact: Junqi Zhao
URL:
Whiteboard:
Depends On: 1518407 1543396 1543435 1543467 1543525 1543532
Blocks: 1519573
TreeView+ depends on / blocked
 
Reported: 2018-02-08 11:55 UTC by Alexandre Kieling
Modified: 2018-04-12 06:03 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: use of javascript Array method not supported by IE11 (Array.find, Array.findIndex) Consequence: Error that prevents some A-MQ pages to show content when the user clicks on a tree node Fix: Replace the unsupported Array methods with the Lodash library Result: A-MQ pages show their content as expected
Clone Of: 1543396
Environment:
Last Closed: 2018-04-12 06:02:11 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:1106 None None None 2018-04-12 06:03:12 UTC

Comment 1 Alexandre Kieling 2018-02-12 14:21:56 UTC
Pull request:
https://github.com/openshift/origin-web-console/pull/2787

Comment 5 Junqi Zhao 2018-03-13 04:26:18 UTC
The right pane shows details about the selected tree node in IE 11 now.

IE Version: 11.248.16299.0
# openshift version
openshift v3.5.5.31.62
kubernetes v1.5.2+43a9be4
etcd 3.1.0


jvm version:  1.2.6

Comment 8 errata-xmlrpc 2018-04-12 06:02:11 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:1106


Note You need to log in before you can comment on or make changes to this bug.